### Home Classes Methods

### In Files

- lib/facets/find.rb

### Methods

- ::select

### Files

- README.rdoc

### Class/Module Index

Quicksearch

- Random
- Random::ArrayExtensions
- Random::HashExtensions
- Random::IntegerExtensions
- Random::NumericExtensions
- Random::RangeExtensions
- Random::StringExtensions
- Random::StringExtensions::Self
- FileUtils
- FileUtils::DryRun
- FileUtils::NoWrite
- FileUtils::Verbose
- Digest
- Digest::Class
- Digest::Instance
- Multiton
- Multiton::Inclusive
- Multiton::MetaMethods
- URI
- URI::Hash
- URI::Kernel
- Argvector
- Argvector
- ERB
- ERB::OpenTemplate
- Enumerable
- Enumerable::Arguments
- GetoptLong
- GetoptLong::DSL
- Memoizable
- Memoizable::Copy
- Numeric
- Numeric::Multipliers
- Object
- Object::ArgVector
- Timer
- Timer::Dummy
- Array
- BasicObject
- CGI
- Cloneable
- Continuation
- Date
- DateTime
- Equitable
- File
- Find
- Hash
- Instantiable
- Integer
- Interval
- Kernel
- Math
- Module
- Net
- NilClass
- NullClass
- OpEsc
- OpenStruct
- Pathname
- Platform
- Range
- RbConfig
- Set
- Shellwords
- String
- StringScanner
- Time
- Tuple
- YAML
- Zlib

No matching classes.

# Find

### Public Class Methods

select(*paths, &block) click to toggle source

Identical to find except select returns the matching files as an array. (find returns nil, which is not very useful if you actually wanted an array.) Calls the associated block with the name of every file and directory listed as arguments, then recursively on their subdirectories, and so on. Return a true (non-false) value from the block for every path that you want to be returned in the resulting array. You can still use Find.prune.

CREDIT: Tyler Rick

    # File lib/facets/find.rb, line 12
    def self.select(*paths, &block)
      Enumerator.new(self, :find, *paths).select{|value| yield value}
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.